## ros-indigo-mrpt-local-obstacles 0.1.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(mrpt_local_obstacles)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  dynamic_reconfigure
  mrpt_bridge
  roscpp
  sensor_msgs
  tf
  visualization_msgs
)

## System dependencies are found with CMake's conventions
find_package(MRPT REQUIRED obs maps slam gui)

################################################
## Declare ROS messages, services and actions ##
################################################

## To declare and build messages, services or actions from within this
## package, follow these steps:
## * Let MSG_DEP_SET be the set of packages whose message types you use in
##   your messages/services/actions (e.g. std_msgs, actionlib_msgs, ...).
## * In the file package.xml:
##   * add a build_depend and a run_depend tag for each package in MSG_DEP_SET
##   * If MSG_DEP_SET isn't empty the following dependencies might have been
##     pulled in transitively but can be declared for certainty nonetheless:
##     * add a build_depend tag for "message_generation"
##     * add a run_depend tag for "message_runtime"
## * In this file (CMakeLists.txt):
##   * add "message_generation" and every package in MSG_DEP_SET to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * add "message_runtime" and every package in MSG_DEP_SET to
##     catkin_package(CATKIN_DEPENDS ...)
##   * uncomment the add_*_files sections below as needed
##     and list every .msg/.srv/.action file to be processed
##   * uncomment the generate_messages entry below
##   * add every package in MSG_DEP_SET to generate_messages(DEPENDENCIES ...)

## Generate messages in the 'msg' folder
# add_message_files(
#   FILES
#   Message1.msg
#   Message2.msg
# )

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate actions in the 'action' folder
# add_action_files(
#   FILES
#   Action1.action
#   Action2.action
# )

## Generate added messages and services with any dependencies listed here
# generate_messages(
#   DEPENDENCIES
#   sensor_msgs#   visualization_msgs
# )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES mrpt_local_obstacles
#  CATKIN_DEPENDS dynamic_reconfigure mrpt_bridge roscpp sensor_msgs tf visualization_msgs
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include)
include_directories(
  ${catkin_INCLUDE_DIRS}
)

## Declare a cpp executable
add_executable(mrpt_local_obstacles_node 
	src/mrpt_local_obstacles_node.cpp
	)

# Specify libraries to link a library or executable target against
target_link_libraries(mrpt_local_obstacles_node
  ${catkin_LIBRARIES}
  ${MRPT_LIBS}
)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark executables and/or libraries for installation
install(TARGETS mrpt_local_obstacles_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
#   PATTERN ".svn" EXCLUDE
# )

## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_mrpt_local_obstacles.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-indigo-mrpt-local-obstacles (0.1.14-0trusty) trusty; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sun, 11 Sep 2016 22:00:00 -0000

ros-indigo-mrpt-local-obstacles (0.1.13-0trusty) trusty; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 02 Sep 2016 22:00:00 -0000

ros-indigo-mrpt-local-obstacles (0.1.12-0trusty) trusty; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 02 Sep 2016 22:00:00 -0000

ros-indigo-mrpt-local-obstacles (0.1.11-0trusty) trusty; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 20 Aug 2016 22:00:00 -0000

ros-indigo-mrpt-local-obstacles (0.1.10-0trusty) trusty; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 04 Aug 2016 22:00:00 -0000

ros-indigo-mrpt-local-obstacles (0.1.9-0trusty) trusty; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 04 Aug 2016 22:00:00 -0000

ros-indigo-mrpt-local-obstacles (0.1.8-0trusty) trusty; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 28 Jun 2016 22:00:00 -0000

ros-indigo-mrpt-local-obstacles (0.1.7-0trusty) trusty; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sun, 19 Jun 2016 22:00:00 -0000

ros-indigo-mrpt-local-obstacles (0.1.6-0trusty) trusty; urgency=high

  * fix build with latest mrpt version
  * Contributors: Jose Luis Blanco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 19 Mar 2016 23:00:00 -0000

ros-indigo-mrpt-local-obstacles (0.1.5-0trusty) trusty; urgency=high

  * mrpt_local_obstacles: Fix wrong report of number of scan sources
  * Fix build against mrpt 1.3.0
  * Contributors: Jose Luis Blanco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 28 Apr 2015 22:00:00 -0000

ros-indigo-mrpt-local-obstacles (0.1.4-0trusty) trusty; urgency=high

  * First working version of the package
  * Contributors: Jose Luis Blanco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 26 Dec 2014 23:00:00 -0000

ros-indigo-mrpt-local-obstacles (0.1.3-0trusty) trusty; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 18 Dec 2014 22:21:00 -0000

ros-indigo-mrpt-local-obstacles (0.1.2-0trusty) trusty; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 18 Dec 2014 10:49:00 -0000

ros-indigo-mrpt-local-obstacles (0.1.1-0trusty) trusty; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 16 Dec 2014 23:00:00 -0000

=== debian/control ===
Source: ros-indigo-mrpt-local-obstacles
Section: misc
Priority: extra
Maintainer: Jose-Luis Blanco-Claraco <jlblanco@ual.es>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-dynamic-reconfigure, ros-indigo-mrpt-bridge, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-tf, ros-indigo-visualization-msgs
Homepage: http://wiki.ros.org/mrpt_local_obstacles
Standards-Version: 3.9.2

Package: ros-indigo-mrpt-local-obstacles
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-dynamic-reconfigure, ros-indigo-mrpt-bridge, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-tf, ros-indigo-visualization-msgs
Description: A node that maintains a local obstacle map (point cloud, voxels or occupancy grid) from recent sensor readings within a configurable time window.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-mrpt-local-obstacles//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
